public static interface HdfsEndpointBuilderFactory.HdfsBuilders
| Modifier and Type | Method and Description |
|---|---|
default HdfsEndpointBuilderFactory.HdfsEndpointBuilder |
hdfs(String path)
HDFS (camel-hdfs)
Read and write from/to an HDFS filesystem using Hadoop 2.x.
|
default HdfsEndpointBuilderFactory.HdfsEndpointBuilder |
hdfs(String componentName,
String path)
HDFS (camel-hdfs)
Read and write from/to an HDFS filesystem using Hadoop 2.x.
|
default HdfsEndpointBuilderFactory.HdfsEndpointBuilder hdfs(String path)
hdfs:hostName:port/path
Path parameter: hostName (required)
HDFS host to use
Path parameter: port
HDFS port to use
Default value: 8020
Path parameter: path (required)
The directory path to usepath - hostName:port/pathdefault HdfsEndpointBuilderFactory.HdfsEndpointBuilder hdfs(String componentName, String path)
hdfs:hostName:port/path
Path parameter: hostName (required)
HDFS host to use
Path parameter: port
HDFS port to use
Default value: 8020
Path parameter: path (required)
The directory path to usecomponentName - to use a custom component name for the endpoint
instead of the default namepath - hostName:port/pathApache Camel